## fsplib 0.11

=== SConstruct ===
--- 
+++ 
@@ -3,9 +3,12 @@
 import os
 # init Scons
 EnsureSConsVersion(0,96)
+PACKAGE='fsplib'
+VERSION='0.11'
+
+#Defaults
 PREFIX='/usr/local'
-PACKAGE='fsplib'
-VERSION='0.9'
+SHARED=0
 
 env = Environment()
 # Turn CPPFLAGS to list
@@ -38,42 +41,49 @@
 if ARGUMENTS.get('CC', 0):
     env.Replace(CC =  ARGUMENTS.get('CC'))
 
-#################### Tests ###################
+############# Custom configure tests ###################
 
 def checkForDirentMember(conf,member,symbol):
+    """Checks if dirent structure has specified field member.
+ 
+    Keyword arguments:
+    member -- what member we are checking
+    symbol -- symbol to be defined by preprocessor if member exists
+
+    """
     conf.Message("checking whether dirent structure has member "+member+"... ")
-    rc=conf.TryCompile("""#include <sys/types.h>
-#include <dirent.h>
+    rc=conf.TryCompile("""
+    #include <sys/types.h>
+    #include <dirent.h>
 
     void dummy(void);
     void dummy()
     {
 	struct dirent d;
 	d."""+member+"""=0;
-    }""",".c")
+    }
+    """,".c")
     if rc:
         conf.env.Append(CPPFLAGS = '-D'+symbol)
     conf.Result(rc)
     return rc
 
-# check for other GCC options
 def checkForGCCOption(conf,option):
-#   if not conf.env['CC'].startswith('gcc'):
-#       conf.Result(0)
-   conf.Message("checking whether GCC supports "+option+" ")
-   lastCFLAGS=conf.env['CCFLAGS']
-   conf.env.Append(CCFLAGS = option)
-   rc = conf.TryCompile("""
-void dummy(void);
-void dummy(void) {}
-""",'.c')
-   if not rc:
+    """Check if compiler supports specified option"""
+    conf.Message("checking whether CC supports "+option+" ")
+    lastCFLAGS=conf.env['CCFLAGS']
+    conf.env.Append(CCFLAGS = option)
+    rc = conf.TryCompile("""
+    void dummy(void);
+    void dummy(void) {}
+    """,'.c')
+    if not rc:
        conf.env.Replace(CCFLAGS = lastCFLAGS)
-   conf.Result(rc)
-   return rc
+    conf.Result(rc)
+    return rc
 
-# check for maintainer mode
 def checkForMaintainerMode(conf):
+    """Check if maintainer mode is enabled by command line"""
     conf.Message("checking whether to enable maintainer mode... ")
     if ARGUMENTS.get('maintainer-mode', 0) or \
        ARGUMENTS.get('enable-maintainer-mode', 0):
@@ -84,8 +94,8 @@
 			  conf.env.Append(CCFLAGS = '-O')
 			  conf.Result(0)
 
-# check for user-supplied lock prefix
 def checkForLockPrefix(conf):
+    """check for user-supplied lock prefix on command line"""
     conf.Message("checking for user supplied lockprefix... ")
     lp = ARGUMENTS.get('lockprefix', 0) or ARGUMENTS.get("with-lockprefix",0)
 
@@ -95,8 +105,8 @@
     else:
 			  conf.Result(0)
 
-# check for user-supplied lock prefix
 def checkForUserPrefix(conf):
+    """check for user-supplied installation prefix"""
     global PREFIX
     conf.Message("checking for user supplied prefix... ")
     lp = ARGUMENTS.get('prefix', 0)
@@ -106,12 +116,26 @@
     else:
 			  conf.Result(0)
 
+def checkForBuildingSharedLibrary(conf):
+    """check if building shared library was requested"""
+    global SHARED
+    conf.Message("checking whether to build shared library... ")
+    makeshared=ARGUMENTS.get('enable-shared', 0)
+    if makeshared == 0 or makeshared == 'no':
+			  conf.Result(0)
+			  SHARED=0
+    else:
+			  conf.Result(1)
+			  SHARED=1
+
 #Start configuration
 conf = Configure(env,{'checkForGCCOption':checkForGCCOption,
                       'MAINTAINER_MODE':checkForMaintainerMode,
 		      'checkForLockPrefix':checkForLockPrefix,
 		      'checkPrefix':checkForUserPrefix,
-		      'checkDirentFor':checkForDirentMember})
+		      'checkDirentFor':checkForDirentMember,
+		      'ENABLE_SHARED':checkForBuildingSharedLibrary}
+		      )
 for option in Split("""
       -Wall -W -Wstrict-prototypes -Wmissing-prototypes -Wshadow
       -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings
@@ -123,7 +147,6 @@
       -Wmissing-noreturn -pedantic
       -Wlong-long -Wundef -Winline
       -Wpointer-arith -Wno-unused-parameter
-      -Wunreachable-code
 """):
        conf.checkForGCCOption(option)
 #portability checks       
@@ -154,9 +177,10 @@
     conf.env.Append(CPPFLAGS = '-DFSP_NOLOCKING')
 conf.checkForLockPrefix()
 conf.checkPrefix()
+conf.ENABLE_SHARED()
 conf.MAINTAINER_MODE()
 conf.Finish()
 
 # process build rules
-Export( Split("env PREFIX PACKAGE VERSION"))
+Export( Split("env PREFIX PACKAGE VERSION SHARED"))
 env.SConscript(dirs=['.'])
