=== debian/changelog ===
fsplib (0.11-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format
  * debian/compat: bumped compat level to 8
  * debian/control:
    + Added Vcs-* fields.
    + Bumped Standards-Version to 3.9.2, no changes needed.
    + Build-Depend on debhelper >= 8
    + Added ${misc:Depends} to libfsplib-dev Depends field.
  * debian/rules: simplified rules file
  * debian/control: Updated my email address
  * Remove debian/*dirs
  * debian/copyright:
    + Updated copyright years
    + Make copyright file DEP-5 compliant

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Jul 2011 11:32:15 +0200

fsplib (0.11-1) unstable; urgency=low

  * New upstream release

  * debian/control:
    + Bumped Standards-Version to 3.8.1, no changes needed.
    + Removed duplicated Section field from libfsplib0 target.
  * debian/rules: install ChangeLog as upstream changelog.
  * Added debian/docs
  * Added debian/libfsplib0.symbols
  * debian/copyright:
    + Converted to machine readable format.
    + Updated packaging copyright years.
    + Upgraded packaging license to GPL-3+
  * Build using Scons instead of autotools, since upstream removed autoconf
    support:
    + debian/control: Build-Depend on scons instead of autoconf, automake,
      libtool.
    + debian/rules:
      - Remove configure* targets.
      - Use scons instead of $(MAKE)
  * Added debian/*links to create symlinks for the shared library.
  * debian/libfsplib-dev.install: Removed *.la entry since it is not built
    anymore.
  * debian/watch:
    + Removed comments.
    + Appended debian uupdate.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2009 21:32:45 +0300

fsplib (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #467259)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 24 Feb 2008 12:33:59 +0200
