=== debian/control ===
Source: fsplib
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 8), scons
Standards-Version: 3.9.2
Section: libs
Homepage: http://fsp.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/fsplib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fsplib.git

Package: libfsplib-dev
Section: libdevel
Architecture: any
Depends: libfsplib0 (= ${binary:Version}), ${misc:Depends}
Description: FSP v2 protocol stack library - development files
 This is C library which support talking with FSP server using FSP v2 protocol
 and provides posix-like file manipulation interface.
 .
 For more information about FSP protocol see http://fsp.sourceforge.net/
 For library and API info see http://fsp.sourceforge.net/fsplib.html

Package: libfsplib0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FSP v2 protocol stack library - shared library
 This is C library which support talking with FSP server using FSP v2 protocol
 and provides posix-like file manipulation interface.
 .
 FSP is a protocol, a bit like FTP, for moving files around. It's designed for
 anonymous archives, and has protection against server and network overloading.
 It doesn't use connections, so it can survive things falling over. It's also
 designed to prevent network congestion, so it can be very nice for large
 transfers over slow links.
 .
 For more information about FSP protocol see http://fsp.sourceforge.net/
 For library and API info see http://fsp.sourceforge.net/fsplib.html
