=== debian/changelog ===
fsplib (0.14-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Do not run test program, as it requires a running fspd which isn't available
    (Closes: #958842)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 13:36:33 +0200

fsplib (0.14-4) unstable; urgency=medium

  * Revert back build autopkgtest

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 09 Apr 2020 21:25:16 +0200

fsplib (0.14-3) unstable; urgency=medium

  * Remove debian/tests, since the only test is disabled anyways

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Mar 2020 18:47:20 +0200

fsplib (0.14-2) unstable; urgency=medium

  * Remove site_scons/__pycache__  directory during clean (Closes: #952267)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Mar 2020 18:17:43 +0200

fsplib (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * d/clean: remove compiled python scripts

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 15 Jan 2020 22:06:13 +0200

fsplib (0.11-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  d/control:
    + Update standards version to 4.4.1
    + Add Rules-Requires-Root=no
  * Add build depends package field to symbols file
  * d/copyright:
    + Update copyright years
    + Update my email address
    + Set upstream license name to MIT
  * Add upstream metadata

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 13 Jan 2020 10:20:51 +0100
