=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fsplib
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), scons
-Standards-Version: 3.9.2
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 12), scons
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: http://fsp.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/collab-maint/fsplib.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fsplib.git
+Vcs-Git: https://salsa.debian.org/debian/fsplib.git
+Vcs-Browser: https://salsa.debian.org/debian/fsplib
 
 Package: libfsplib-dev
 Section: libdevel
