=== debian/tests/control ===
Tests: build
Depends: libfsplib-dev, build-essential
Restrictions: isolation-container
