=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fsplib
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), scons
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), scons
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
@@ -12,7 +13,7 @@
 Package: libfsplib-dev
 Section: libdevel
 Architecture: any
-Depends: libfsplib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libfsplib0t64 (= ${binary:Version}), ${misc:Depends}
 Description: FSP v2 protocol stack library - development files
  This is C library which support talking with FSP server using FSP v2 protocol
  and provides posix-like file manipulation interface.
@@ -20,7 +21,10 @@
  For more information about FSP protocol see http://fsp.sourceforge.net/
  For library and API info see http://fsp.sourceforge.net/fsplib.html
 
-Package: libfsplib0
+Package: libfsplib0t64
+Provides: ${t64:Provides}
+Replaces: libfsplib0
+Breaks: libfsplib0 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FSP v2 protocol stack library - shared library
